"""
This program has been developed by students from the bachelor Computer Science at Utrecht
University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""

import logging


class PartialFilter(logging.Filter):
    """
    Class to filter any log records that have the "partial" attribute set to ``True``.
    """

    def filter(self, record):
        return getattr(record, "partial", False) is not True
